Redmine - Feature #2435

Plugin API to check that a plugin is correctly installed
2009-01-03 04:08 - Eric Davis

Status: Closed Start date: 2009-01-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

Both Redmine and Engine migrations follow a strict naming convention for plugins. Problem is, depending on the repository
script/plugin install might install the plugin to an incorrect directory. This causes several issues including:

® migrations get named after the wrong plugin
e Settings get messed up and set incorrectly

| propose adding a check to Redmine::Plugin.register to make sure that the plugin name matches the installation directory.
Example:

# Required to be installed in vendor/plugins/budget_plugin
Redmine: :Plugin.register :budget_plugin

# Requires to be installed in vendor/plugins/embedded
Redmine::Plugin.register :embedded

References:

)

https://projects.littlestreamsoftware.com/issues/show/1930
https://projects.littlestreamsoftware.com/issues/show/1858
https://projects.littlestreamsoftware.com/issues/show/1801
https://projects.littlestreamsoftware.com/issues/show/1487

History

#1 - 2009-01-03 04:10 - Eric Davis
- Category set to Plugin API

- Assignee set to Eric Davis

| can implement this, | just wanted to see if anyone had any better ideas other than throwing an error if the directory is incorrect.

#2 - 2009-01-07 00:28 - Gerrit Kaiser

sounds like a good idea. this hit me as well, and the current error message is not exactly clear about things. So a check would be appreciated!

#3 - 2010-08-31 17:35 - Eric Davis

- Target version set to Unplanned backlogs

#4 - 2010-09-01 16:17 - Holger Just

| developed a patch. It is available from the feature branch on http:/github.com/meineerde/redmine/tree/2435-check-plugin-name

Eric: Please check if this is enough or if | should extend it somehow.

#5 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

| am stepping down from working on Redmine. |f someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis
#6 - 2013-05-02 03:00 - Jean-Baptiste Barth
- Status changed from New to Closed

- Resolution set to Wont fix

Closing this, pretty old and some things have already been implemented since then (check on redmine version or plugin dependency for instance).
Plus | don't think that enforcing a strict policy on directory name or place is a good idea (and | think Eric didn't either, see this post)

#7 - 2013-05-02 03:01 - Jean-Baptiste Barth
- Target version deleted (Unplanned backlogs)

2025-07-07 22


http://theadmin.org/articles/converting-a-redmine-plugin-to-a-gem/
http://www.tcpdf.org

